Changeset 11941


Ignore:
Timestamp:
05/24/09 08:47:21 (9 years ago)
Author:
ehuelsmann
Message:

Start moving links from "below" to "up there".

File:
1 edited

Legend:

Unmodified
Added
Removed
  • public_html/staging/index.shtml

    r11939 r11941  
    3232 using <b>Java to Lisp integration</b> APIs.
    3333</td></tr>
    34 <tr><td class="summary-header" colspan="2"><a href="http://downloads.sourceforge.net/armedbear-j/" style="color:yellow">
     34<tr><td class="summary-header" colspan="2"><a href="http://sourceforge.net/project/showfiles.php?group_id=55057&amp;package_id=287335" style="color:yellow">
    3535Download your copy from SourceForge: 0.15.0</a></td></tr>
    3636<tr>
     
    5252<td>
    5353<ul>
    54 <li> Mailing list </li>
     54<li> <a href="https://lists.sourceforge.net/lists/listinfo/armedbear-j-devel">Mailing list</a> </li>
    5555<li> Repository </li>
    5656<li> Technical wiki </li>
    5757<li> <a href="http://trac.common-lisp.net/armedbear/report/1">Bug tracker</a> </li>
    5858<li> <a href="contributing.shtml">Contributing</a> </li>
    59 </ul>
    60 </td>
    61 </tr>
    62 <tr>
    63 <td class="summary-header">System requirements (Users)</td>
    64 <td class="summary-header">System requirements (Developers) </td>
    65 </tr>
    66 <tr>
    67 <td>
    68 <ul>
    69 <li> JRE 1.5.0 (any patch level), or </li>
    70 <li> JRE 1.6.0 (patch level 10 or higher) </li>
    71 </ul>
    72 </td>
    73 <td>
    74 <ul>
    75 <li> JDK 1.5.0 (any patch level), or </li>
    76 <li> JDK 1.6.0 (patch level 10 or higher) </li>
    77 <li> Ant version 1.7.0 or higher </li>
    7859</ul>
    7960</td>
     
    9273</tr>
    9374<tr>
    94 <td colspan="2" class="summary-header">General information</td>
    95 </tr>
    96 <tr>
    97 <td colspan="2">
    98 <dl>
    99 <dt>System requirements</dt>
    100 <dd>
    101 <dl>
    102 <dt>Using (developing with ABCL)</dt>
    103 <dd>
    104 <ul>
    105 <li> Java Runtime (JRE)
    106 <li> Java version 1.5.0 (any patch level) or 1.6.0 (patch level 10 or higher) </li>
    107 <li> Any operating system, although explicitly supported:<br />
    108      Windows, Linux, MacOS X, OpenBSD, NetBSD and FreeBSD and Google App Engine </li>
    109 </ul>
    110 </dd>
    111 <dt>Building (developing of ABCL)</dt>
    112 <dd>
    113 <ul>
    114 <li> Java Development Kit (JDK) </li>
    115 <li> Same versions as for using </li>
    116 </dd>
    117 </dl>
    118 </dd>
    119 </dl>
    120 
     75<td class="summary-header">System requirements (Users)</td>
     76<td class="summary-header">System requirements (Developers) </td>
     77</tr>
     78<tr>
     79<td>
     80<ul>
     81<li> JRE 1.5.0 (any patch level), or </li>
     82<li> JRE 1.6.0 (patch level 10 or higher) </li>
     83<li> One of the explicitly supported platforms: <br />
     84  Windows, Linux, MacOS X, OpenBSD, NetBSD, <br />
     85  FreeBSD or Google App Engine</li>
     86</ul>
     87</td>
     88<td>
     89<ul>
     90<li> <a href="http://java.sun.com/javase/downloads/index_jdk5.jsp">JDK 1.5.0</a> (any patch level), <em>or</em> </li>
     91<li> JDK 1.6.0 (patch level 10 or higher) </li>
     92<li> Ant version 1.7.0 or higher, <em>or</em> </li>
     93<li> A Lisp to run the lisp-based build system </li>
     94</ul>
    12195</td>
    12296</tr>
     
    163137  on how to integrate the Lisp environment with your Java code</a>,
    164138  showing you how to call back and forth between the two.<br />
    165   </dd>
    166 </dl>
    167 <p>
    168   <b style="font-family: sans-serif; font-size: large;">Download</b>
    169 </p>
    170 <dl>
    171   <dd>
    172 
    173       <a href="http://downloads.sourceforge.net/armedbear-j/abcl-src-0.15.0.tar.gz?use_mirror=">abcl-src-0.15.0.tar.gz</a>
    174       (source, ????? bytes)
    175       <br /><br />
    176       <a href="http://downloads.sourceforge.net/armedbear-j/abcl-src-0.15.0.zip?use_mirror=">abcl-src-0.15.0.zip</a>
    177       (source, ??????? bytes)
    178139  </dd>
    179140</dl>
     
    242203  <dd>
    243204    The README file in the root directory of the source distribution contains
    244     instructions for building ABCL.
    245     <br /><br />
    246     Java 1.5 or higher is required;
    247     <a href="http://java.sun.com/javase/downloads/index_jdk5.jsp">Java 1.5</a>
    248     is recommended. There are
    249     <a href="http://sourceforge.net/mailarchive/message.php?msg_name=20070218045318.5111%40stephen">
    250     performance issues</a> with versions of Java 1.6 prior to update 10.
    251     To build ABCL, you'll need the full JDK; the JRE is not enough. <br />
    252     <em>Recent performance tests have shown Java 1.6 Update 10 (and newer)
    253       to be as fast as Java 1.5.</em> </dd>
     205    instructions for building ABCL. </dd>
    254206</dl>
    255207
Note: See TracChangeset for help on using the changeset viewer.